package projectzombie.items.spawner;

import gl_engine.vec.Vec3d;
import projectzombie.entity.EntityDummy;
import projectzombie.init.Models;
import projectzombie.items.ItemSpawn;
import projectzombie.model.ModelItem;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemSpawnDummy extends ItemSpawn
{

	@Override
	public ModelItem getModel(short meta) {
		return Models.ITEM_SPAWN_DUMMY;
	}
	
	@Override
	public void spawnEntity(Layer layer, Chunk chunk, Vec3d pos, Vec3d velocity) {
		chunk.spawnEntity(new EntityDummy(pos, velocity));
	}

}
